%define with_geoclue	0

Name:		redshift
Version:	1.8
Release:	%mkrel 1
Summary:	Adjusts the color temperature of your screen according to time of day
Url:		http://jonls.dk/redshift/
Source0:	https://github.com/jonls/redshift/releases/download/v%{version}/redshift-%{version}.tar.bz2
Patch0:		redshift-1.7-geoclue-provider.patch
License:	GPLv3+
Group:		Graphical desktop/Other
BuildRequires:	x11-server-devel
BuildRequires:	glib2-devel
BuildRequires:	libGConf2-devel
BuildRequires:	libxxf86vm-devel
BuildRequires:	python-devel

%if %{with_geoclue}
BuildRequires:	pkgconfig(geoclue) < 1.0.0
Requires:	geoclue1
%endif

%package gtk
Summary:	GTK integration for Redshift
Group:		Graphical desktop/Other
Requires:	pygtk2.0
Requires:	python-pyxdg
Requires:	redshift = %{version}-%{release}

%description
Redshift adjusts the color temperature of your screen according to your
surroundings. This may help your eyes hurt less if you are working in
front of the screen at night.

The color temperature is set according to the position of the sun. A
different color temperature is set during night and daytime. During
twilight and early morning, the color temperature transitions smoothly
from night to daytime temperature to allow your eyes to slowly
adapt.

%description gtk
GTK integration for Redshift, a screen color temperature adjustment
program.

%prep
%setup -q

%if %{with_geoclue}
%patch0 -p1 -b .geoclue
%endif

%build
%configure2_5x \
%if %{with_geoclue}
	--enable-geoclue \
%else
	--disable-geoclue \
%endif
	--disable-rpath \
	--enable-gui
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS AUTHORS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*

%files gtk
%{_bindir}/%{name}-gtk
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_datadir}/applications/%{name}-gtk.desktop
%{python_sitelib}/redshift_gtk/


%changelog
* Sun Dec 15 2013 wally <wally> 1.8-1.mga4
+ Revision: 556966
- new version 1.8
- download sources from github
- drop unneeded symlinks as upstream renamed gtk binary

* Fri Oct 18 2013 umeabot <umeabot> 1.7-8.mga4
+ Revision: 517999
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.7-7.mga3
+ Revision: 380278
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 23 2012 wally <wally> 1.7-6.mga3
+ Revision: 262771
- add redshift-gtk symlink
- clean .spec

* Fri Dec 23 2011 wally <wally> 1.7-5.mga2
+ Revision: 186922
- gtk subpackage requires python-pyxdg

* Wed Jul 13 2011 wally <wally> 1.7-4.mga2
+ Revision: 123751
- disable geoclue support for now as it appears to be a bit broken

* Tue Jul 12 2011 wally <wally> 1.7-3.mga2
+ Revision: 123416
- require geoclue

* Tue Jul 12 2011 wally <wally> 1.7-2.mga2
+ Revision: 123275
- add patch from Fedora to change default geoclue provider

* Mon Jul 11 2011 wally <wally> 1.7-1.mga2
+ Revision: 122448
- new version 1.7
- add geoclue support

* Sun Jan 23 2011 wally <wally> 1.6-3.mga1
+ Revision: 34637
- drop buildroot definition from .spec
- imported package redshift


* Sat Oct 30 2010 Jani Välimaa <wally@mandriva.org> 1.6-2mdv2011.0
+ Revision: 590582
- rebuild for new python 2.7
- drop py_requires macro

* Mon Oct 18 2010 Jani Välimaa <wally@mandriva.org> 1.6-1mdv2011.0
+ Revision: 586676
- new version 1.6
- fix file list

* Sat Aug 21 2010 Jani Välimaa <wally@mandriva.org> 1.5-1mdv2011.0
+ Revision: 571775
- new version 1.5
- disable rpath
- use provided .desktop file

* Tue Jul 13 2010 Jani Välimaa <wally@mandriva.org> 1.4.1-3mdv2011.0
+ Revision: 552777
- use a fully versioned dependency in subpackage

* Sat Jul 10 2010 Jani Välimaa <wally@mandriva.org> 1.4.1-2mdv2011.0
+ Revision: 550503
- split GTK stuff to a separate package

* Wed Jun 23 2010 Jani Välimaa <wally@mandriva.org> 1.4.1-1mdv2011.0
+ Revision: 548748
- import redshift


